<?php //5e91dac352beffbadbb977a696262691
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\AccelerateRequest;
    use App\Models\User;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method AccelerateRequest|null getOrPut($key, $value)
     * @method AccelerateRequest|$this shift(int $count = 1)
     * @method AccelerateRequest|null firstOrFail($key = null, $operator = null, $value = null)
     * @method AccelerateRequest|$this pop(int $count = 1)
     * @method AccelerateRequest|null pull($key, $default = null)
     * @method AccelerateRequest|null last(callable $callback = null, $default = null)
     * @method AccelerateRequest|$this random($number = null)
     * @method AccelerateRequest|null sole($key = null, $operator = null, $value = null)
     * @method AccelerateRequest|null get($key, $default = null)
     * @method AccelerateRequest|null first(callable $callback = null, $default = null)
     * @method AccelerateRequest|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AccelerateRequest|null find($key, $default = null)
     * @method AccelerateRequest[] all()
     */
    class _IH_AccelerateRequest_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AccelerateRequest[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AccelerateRequest_QB whereId($value)
     * @method _IH_AccelerateRequest_QB whereTnxId($value)
     * @method _IH_AccelerateRequest_QB whereStatus($value)
     * @method _IH_AccelerateRequest_QB whereCreatedAt($value)
     * @method _IH_AccelerateRequest_QB whereUpdatedAt($value)
     * @method AccelerateRequest baseSole(array|string $columns = ['*'])
     * @method AccelerateRequest create(array $attributes = [])
     * @method _IH_AccelerateRequest_C|AccelerateRequest[] cursor()
     * @method AccelerateRequest|null|_IH_AccelerateRequest_C|AccelerateRequest[] find($id, array|string $columns = ['*'])
     * @method _IH_AccelerateRequest_C|AccelerateRequest[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AccelerateRequest|_IH_AccelerateRequest_C|AccelerateRequest[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AccelerateRequest|_IH_AccelerateRequest_C|AccelerateRequest[] findOrFail($id, array|string $columns = ['*'])
     * @method AccelerateRequest|_IH_AccelerateRequest_C|AccelerateRequest[] findOrNew($id, array|string $columns = ['*'])
     * @method AccelerateRequest first(array|string $columns = ['*'])
     * @method AccelerateRequest firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AccelerateRequest firstOrCreate(array $attributes = [], array $values = [])
     * @method AccelerateRequest firstOrFail(array|string $columns = ['*'])
     * @method AccelerateRequest firstOrNew(array $attributes = [], array $values = [])
     * @method AccelerateRequest firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AccelerateRequest forceCreate(array $attributes)
     * @method _IH_AccelerateRequest_C|AccelerateRequest[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AccelerateRequest_C|AccelerateRequest[] get(array|string $columns = ['*'])
     * @method AccelerateRequest getModel()
     * @method AccelerateRequest[] getModels(array|string $columns = ['*'])
     * @method _IH_AccelerateRequest_C|AccelerateRequest[] hydrate(array $items)
     * @method AccelerateRequest make(array $attributes = [])
     * @method AccelerateRequest newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AccelerateRequest[]|_IH_AccelerateRequest_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|AccelerateRequest[]|_IH_AccelerateRequest_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AccelerateRequest sole(array|string $columns = ['*'])
     * @method AccelerateRequest updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AccelerateRequest_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail($key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, $default = null)
     * @method User|null last(callable $callback = null, $default = null)
     * @method User|$this random($number = null)
     * @method User|null sole($key = null, $operator = null, $value = null)
     * @method User|null get($key, $default = null)
     * @method User|null first(callable $callback = null, $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRole($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User baseSole(array|string $columns = ['*'])
     * @method User create(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}
}